﻿using System;
using System.Collections.Generic;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Infragistics.Win;
using Infragistics.Win.UltraWinSchedule;
using Infragistics.Win.UltraWinSchedule.TimelineView;

namespace WS_SquareCornersAppointments
{
    class SquareAppointmentUIElement : AppointmentUIElement
    {
        public SquareAppointmentUIElement(ActivityAreaUIElement parent,
            Appointment appointment, bool startTimeVisible, bool endTimeVisible) :
            base(parent, appointment, startTimeVisible, endTimeVisible) { }


        public override UIElementBorderStyle BorderStyle
        {
            get
            {
                return UIElementBorderStyle.Solid;
            }
        }

        public override Region Region
        {
            get
            {
                return new Region(this.rectValue);
            }
        }

        static public SquareAppointmentUIElement FromAppointmentUIElement(AppointmentUIElement appointmentElement,
            bool startTimeVisible, bool endTimeVisible)
        {
            if (appointmentElement == null)
                throw new ArgumentNullException();

            var newElement = new SquareAppointmentUIElement(appointmentElement.Parent as ActivityAreaUIElement,
                appointmentElement.GetContext(typeof(Appointment)) as Appointment, startTimeVisible, endTimeVisible);

            newElement.Rect = appointmentElement.Rect;

            return newElement;
        }

    }
}
